#ifndef BTmodule_H
#define BTmodule_H


/** Define baud rate */
#define USART0_BAUD 38400ul
#define USART0_UBBR_VALUE ((F_CPU/(USART0_BAUD<<4))-1)


void BT_init();

void BTcmd_set_disconnect();  			//Set disconnect pin high
void BTcmd_clear_disconnect();			//Clear disconnect pin
void BTcmd_connect(); 					//Connect to predefined unit
//void BTcmd_disable_loss_reconnect();	//Disable auto-connect if lost connection
//void BTcmd_enable_loss_reconnect();		//Disable auto-connect if lost connection
void BTcmd_disable_auto_reconnect();	//Disable auto-connect to last paired unit
void BTcmd_set_auto_reconnect();		//Auto-connect to last paired unit
void BTcmd_permit_reconnect();			//Permit paired unit to reconnect
void BTcmd_forbid_reconnect();			//Do not permit paired unit to reconnect
void BTcmd_set_pin_code();				//Set pincode to "0000"
void BTcmd_set_mode_master();			//Set master mode on
void BTcmd_set_mode_slave();			//Set slave mode on
void BTcmd_set_inquire_on();			//Set inquiry on
void BTcmd_set_inquire_off();			//Set inquiry off


void BT_hello_world( void );
void BT_send_id(char * id, int len);
void BT_send_removed( void );
void BT_get_response( char * resp );
void BT_read_byte( void );
uint8_t BT_response_ready( void );
uint8_t BT_byte_ready( void );
uint8_t BT_connected( void );
uint8_t BT_wait_for_ok( void );

//For internal use
uint8_t BT_send_cmd(const char * cmd);


#endif //BTmodule_H

