#ifndef RFIDmodule_H
#define RFIDmodule_H


/** Define baud rate (RFID reader)*/
#define USART1_BAUD 2400ul
#define USART1_UBBR_VALUE ((F_CPU/(USART1_BAUD<<4))-1)

/* Size of one frame from reader */
#define FRAMESIZE    12
#define STARTCHAR    10
#define STOPCHAR     13

void RFID_init();

int RFID_byte_ready( void );
void RFID_read_byte( void );
int RFID_frame_ready( void );
void RFID_get_id(char * id);
void RFID_clear( void );
void RFID_enable( void );
void RFID_disable( void );


#endif //RFIDmodule_H

